%define _disable_ld_no_undefined 1

Summary: Dynamically choose best algorithm to compress a file
Name: dact
Version: 0.8.42
Release: %mkrel 11
Source0: http://www.rkeene.org/files/oss/dact/%{name}-%{version}.tar.gz
License: LGPL
Group: Archiving/Compression
Url: http://www.rkeene.org/oss/dact/
BuildRequires: liblzo-devel
BuildRequires: libbzip2-devel
BuildRequires: libmcrypt-devel

%description
DACT is a compression tool designed to compress a file dynamically,
choosing the algorithm that works best per block of input data to
produce an overall smaller output file.

%prep
%setup -q

%build
%configure
%make_build

%install
mkdir -p %buildroot%_bindir
mkdir -p %buildroot%_sysconfdir
mkdir -p %buildroot%_mandir/man1

%makeinstall

%files
%doc MD5SUMS README TODO.ideas TODO VERSION ChangeLog AUTHORS
%doc Docs/config_help.txt Docs/dact.txt Docs/helpfile.txt
%config(noreplace) %_sysconfdir/%name.conf
%_bindir/%name
%dir %_datadir/%name
%_libdir/lib%name.*
%_mandir/man1/%name.*



%changelog
* Sun Aug 23 2020 joequant <joequant> 0.8.42-11.mga8
+ Revision: 1618147
- bump
- undo arm64

* Thu Feb 13 2020 umeabot <umeabot> 0.8.42-10.mga8
+ Revision: 1511808
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.8.42-9.mga7
+ Revision: 1297395
- Mageia 7 Mass Rebuild

* Tue Jun 05 2018 wally <wally> 0.8.42-8.mga7
+ Revision: 1234798
- fix build on aarch64
+ shlomif <shlomif>
- .spec cleanups

* Fri Feb 05 2016 umeabot <umeabot> 0.8.42-7.mga6
+ Revision: 938941
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8.42-6.mga5
+ Revision: 748782
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 0.8.42-5.mga5
+ Revision: 693722
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.8.42-4.mga5
+ Revision: 678663
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.8.42-3.mga4
+ Revision: 503767
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.8.42-2.mga3
+ Revision: 348544
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 21 2011 nanardon <nanardon> 0.8.42-1.mga2
+ Revision: 146529
- 0.42

* Sun May 08 2011 nanardon <nanardon> 0.8.41-1.mga1
+ Revision: 96335
- imported package dact

